Loading...
Searching...
No Matches
BALL::VIEW::ColorButton Class Reference

`#include <BALL/VIEW/WIDGETS/colorButton.h>`

Inheritance diagram for BALL::VIEW::ColorButton:

## Public Slots

void | chooseColor ()

## Signals

void | colorChanged (QColor color)

## Public Member Functions

| ColorButton (QWidget *parent)
| ColorButton (const QColor &color, QWidget *parent)
| ColorButton (const QColor &color, const QColor &default_color, QWidget *parent)
| ColorButton (const ColorRGBA &color, QWidget *parent)
| ColorButton (const ColorRGBA &color, const ColorRGBA &defaultColor, QWidget *parent)
virtual | ~ColorButton ()
void | setColor (const QColor &color)
void | setColor (const ColorRGBA &color)
const QColor & | getColor () const
void | setDefaultColor (const QColor &color)
void | setDefaultColor (const ColorRGBA &color)
const QColor & | getDefaultColor () const
void | setEnableAlpha (bool enable)
bool | isAlphaEnabled () const
QSize | sizeHint () const

## Protected Member Functions

virtual void | paintEvent (QPaintEvent *evt)

## Protected Attributes

bool | enable_alpha_

## Properties

QColor | color_
QColor | default_color_

## Detailed Description

Definition at line 19 of file colorButton.h.

## Constructor & Destructor Documentation

## ColorButton() [1/5]

BALL::VIEW::ColorButton::ColorButton | ( | QWidget * | parent | ) |

explicit

## ColorButton() [2/5]

BALL::VIEW::ColorButton::ColorButton | ( | const QColor & | color,
|  | QWidget * | parent )

explicit

## ColorButton() [3/5]

BALL::VIEW::ColorButton::ColorButton | ( | const QColor & | color,
|  | const QColor & | default_color,
|  | QWidget * | parent )

explicit

## ColorButton() [4/5]

BALL::VIEW::ColorButton::ColorButton | ( | const ColorRGBA & | color,
|  | QWidget * | parent )

explicit

## ColorButton() [5/5]

BALL::VIEW::ColorButton::ColorButton | ( | const ColorRGBA & | color,
|  | const ColorRGBA & | defaultColor,
|  | QWidget * | parent )

explicit

## ~ColorButton()

virtual BALL::VIEW::ColorButton::~ColorButton | ( |  | ) |

virtual

## Member Function Documentation

## chooseColor

void BALL::VIEW::ColorButton::chooseColor | ( |  | ) |

slot

## colorChanged

void BALL::VIEW::ColorButton::colorChanged | ( | QColor | color | ) |

signal

## getColor()

const QColor & BALL::VIEW::ColorButton::getColor | ( |  | ) | const

## getDefaultColor()

const QColor & BALL::VIEW::ColorButton::getDefaultColor | ( |  | ) | const

## isAlphaEnabled()

bool BALL::VIEW::ColorButton::isAlphaEnabled | ( |  | ) | const

## paintEvent()

virtual void BALL::VIEW::ColorButton::paintEvent | ( | QPaintEvent * | evt | ) |

protected virtual

## setColor() [1/2]

void BALL::VIEW::ColorButton::setColor | ( | const ColorRGBA & | color | ) |

## setColor() [2/2]

void BALL::VIEW::ColorButton::setColor | ( | const QColor & | color | ) |

## setDefaultColor() [1/2]

void BALL::VIEW::ColorButton::setDefaultColor | ( | const ColorRGBA & | color | ) |

## setDefaultColor() [2/2]

void BALL::VIEW::ColorButton::setDefaultColor | ( | const QColor & | color | ) |

## setEnableAlpha()

void BALL::VIEW::ColorButton::setEnableAlpha | ( | bool | enable | ) |

## sizeHint()

QSize BALL::VIEW::ColorButton::sizeHint | ( |  | ) | const

## Member Data Documentation

## enable_alpha_

bool BALL::VIEW::ColorButton::enable_alpha_

protected

Definition at line 57 of file colorButton.h.

## Property Documentation

## color_

QColor BALL::VIEW::ColorButton::color_

read write

Definition at line 22 of file colorButton.h.

## default_color_

QColor BALL::VIEW::ColorButton::default_color_

read write

Definition at line 23 of file colorButton.h.